QuickFIX: FIX::SocketMonitor::Strategy Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketMonitor::Strategy Class Reference

`#include <SocketMonitor.h>`

Inheritance diagram for FIX::SocketMonitor::Strategy:
[legend]

List of all members.

## Public Member Functions
virtual | ~Strategy ()
virtual void | onConnect (SocketMonitor &, int socket)=0
virtual void | onEvent (SocketMonitor &, int socket)=0
virtual void | onWrite (SocketMonitor &, int socket)=0
virtual void | onError (SocketMonitor &, int socket)=0
virtual void | onError (SocketMonitor &)=0
virtual void | onTimeout (SocketMonitor &)

## Detailed Description

Definition at line 95 of file SocketMonitor.h.

## Constructor & Destructor Documentation

virtual FIX::SocketMonitor::Strategy::~Strategy | ( |  | ) | `[inline, virtual]`

Definition at line 98 of file SocketMonitor.h.

    00099     {}

## Member Function Documentation

virtual void FIX::SocketMonitor::Strategy::onConnect | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::processWriteSet().

virtual void FIX::SocketMonitor::Strategy::onError | ( | SocketMonitor & |  | ) | `[pure virtual]`

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

virtual void FIX::SocketMonitor::Strategy::onError | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::block(), and FIX::SocketMonitor::processExceptSet().

virtual void FIX::SocketMonitor::Strategy::onEvent | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::processReadSet().

virtual void FIX::SocketMonitor::Strategy::onTimeout | ( | SocketMonitor & |  | ) | `[inline, virtual]`

Reimplemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Definition at line 105 of file SocketMonitor.h.

Referenced by FIX::SocketMonitor::block().

    00106   {}}

virtual void FIX::SocketMonitor::Strategy::onWrite | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[pure virtual]`

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::processWriteSet().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/SocketMonitor.h